<?xml version="1.0" encoding="utf-8" ?>
<select>
  <selectstr>
SELECT u_softbed.softbed_id
	,u_softbed.softbed_code
	,u_softbed.softbed_relcode
	,u_softbed.softbed_name
	,u_softbed.deptid
	,u_softbed.create_date
	,u_softbed.create_emp
	,u_softbed.mtrlmode
	,u_softbed.mtrltype
	,u_softbed.has_headboard
	,u_softbed.has_nightstand
	,u_softbed.has_bedframe
	,u_softbed.is_template
	,u_softbed.template_id
	,u_softbed.template_code
	,u_softbed.template_name
	,u_softbed.commission
	,u_softbed.taxes
	,u_softbed.other_rate
	,u_softbed.extras_cost
	,u_softbed.moneyrate
	,u_softbed.dscrp
	,u_softbed.costamt
	,u_softbed.nottax_factory_cost
	,u_softbed.nottax_dept_cost
	,u_softbed.dept_cost
	,u_softbed.foreign_cost
	,u_softbed.flag
	,u_softbed.audit_date
	,u_softbed.audit_emp
	,u_softbed.update_date
	,u_softbed.update_emp
	,u_softbed.total_mtrl_cost
	,u_softbed.total_hr_cost
	,u_softbed.total_cost
	,u_softbed.version
FROM u_softbed
  </selectstr>
  <where>
  </where>
  <orderstr>create_date DESC,softbed_id DESC</orderstr>
  <displayfields>
    <field field="pid" compute="getrow()">序</field>
	<field field="softbed_code">报价唯一码</field>
	<field field="softbed_name">报价编码</field>
	<field field="softbed_name">报价名称</field>
	<field field="deptid" mapper="">部门</field>
	<field field="flag" datatype="checkbox">审核</field>
	<field field="create_date" datatype="datetime">报价日期</field>
	<field field="create_emp">报价人</field>
	<field field="mtrlmode">物料规格</field>
	<field field="mtrltype">物料类别</field>
	<field field="has_headboard" datatype="checkbox">床头</field>
	<field field="has_nightstand" datatype="checkbox">床头柜</field>
	<field field="has_bedframe" datatype="checkbox">床架</field>
	<field field="is_template" datatype="checkbox">模板报价</field>
	<field field="template_code">模板编号</field>
	<field field="template_name">模板名称</field>
	<field field="commission" datatype="number">佣金</field>
	<field field="taxes" datatype="number">税金</field>
	<field field="other_rate" datatype="number">额外点数</field>
	<field field="extras_cost" datatype="number">额外费用</field>
	<field field="moneyrate" datatype="number" mapper="u_mattress.if_moneyrate">汇率</field>
	<field field="dscrp">备注</field>
	<field field="costamt" datatype="number">报价金额</field>
	<field field="nottax_factory_cost" datatype="number">不含税出厂价</field>
	<field field="nottax_dept_cost" datatype="number">部门售价(不含税)</field>
	<field field="dept_cost" datatype="number">部门含税价</field>
	<field field="foreign_cost" datatype="number">外币价</field>
	<field field="audit_date" datatype="datetime">审核日期</field>
	<field field="audit_emp">审核人</field>
	<field field="update_date" datatype="datetime">更新日期</field>
	<field field="update_emp">更新人</field>
  </displayfields>
</select>
